#include "Vektor.h"
#include <assert.h>


Vektor::Vektor(int lng) : ant(lng) {
	assert(ant>=0); // Indexkontroll
	p = new int[ant]; // Dynamisk allokering
}

//Kopieringskonstruktor
Vektor::Vektor(const Vektor& v) : ant(v.ant) {
	p = new int[ant];
	for (int i=0; i<ant; i++)
		p[i] = v.p[i];
}

//Deallokera allt dynamiskt minnesutrymme
Vektor::~Vektor() {
	delete [] p;
}

int Vektor::get_elem(int ind) {
	assert(ind>=0 && ind<ant);
	return p[ind];
}
void Vektor::set_elem(int ind, int val) {
	assert(ind>=0 && ind<ant);
	p[ind] = val;
}

