#include "Bankkonto.h"
#define _CRT_SECURE_NO_WARNINGS
#include <cstring>
#include <iostream>
using namespace std;

Bankkonto::Bankkonto() {
	strcpy(kontonr, "saknas");
	saldo = 0;
}
Bankkonto::Bankkonto(char* knr) : saldo(0) {
	strcpy(kontonr, knr);
}
Bankkonto::Bankkonto(char* knr, int sald) : saldo(sald) {
	strcpy(kontonr, knr);
}

int Bankkonto::insattning(int belopp)
{
	if (belopp > 0) {
		saldo += belopp;
		return 1;
	}
	else
		return 0;
}

int Bankkonto::uttag(int belopp)
{
	if (belopp > 0 && belopp < saldo) {
		saldo -= belopp;
		return 1;
	}
	else
		return 0;
}

void Bankkonto::kontobesked() {
	cout << "KONTOBESKED" << endl;
	cout << "Kontonr: " << kontonr <<endl;
	cout << "Saldo: " << saldo << endl << endl;
}

